gr::gsm::burst_file_sink_impl Class Reference

`#include <burst_file_sink_impl.h>`

Inheritance diagram for gr::gsm::burst_file_sink_impl:

## Public Member Functions

| burst_file_sink_impl (const std::string &filename)
| ~burst_file_sink_impl ()
void | process_burst (pmt::pmt_t msg)

## Additional Inherited Members

Public Types inherited from gr::gsm::burst_file_sink
typedef std::shared_ptr< burst_file_sink > | sptr
Static Public Member Functions inherited from gr::gsm::burst_file_sink
static sptr | make (const std::string &filename)
| Return a shared_ptr to a new instance of grgsm::burst_file_sink.

## Constructor & Destructor Documentation

## burst_file_sink_impl()

gr::gsm::burst_file_sink_impl::burst_file_sink_impl | ( | const std::string & | filename | ) |

## ~burst_file_sink_impl()

gr::gsm::burst_file_sink_impl::~burst_file_sink_impl | ( |  | ) |

## Member Function Documentation

## process_burst()

void gr::gsm::burst_file_sink_impl::process_burst | ( | pmt::pmt_t | msg | ) |

The documentation for this class was generated from the following file:

- burst_file_sink_impl.h